<script>
import { area } from 'd3-shape';
import { scaleLinear} from 'd3-scale';
import { extent} from 'd3-array';

export let dataset = [];
export let types = null;
export let type_selected = 'Across all building types';

$: data = dataset.filter(d => d.buildingtype == types)
$: scaleYwithin = scaleLinear()
        .domain(extent(dataset.filter(d=> d.buildingtype == types).map(d => d.total_heating_energy)))
        .range([0.5, 7]);
const scaleX = scaleLinear()
        .domain(extent(dataset.map(d => new Date(11, d.day, d.hour))))
        .range([0,400]);
const scaleYacross = scaleLinear()
        .domain(extent(dataset.map(d => d.total_heating_energy)))
        .range([1, 10]);

const lineWithin = area()
            .x(d=>scaleX(new Date(11, d.day, d.hour)))
            .y0(d=>-scaleYwithin(d.total_heating_energy))
            .y1(d=>scaleYwithin(d.total_heating_energy))

const lineAcross = area()
            .x(d=>scaleX(new Date(11, d.day, d.hour)))
            .y0(d=>-scaleYacross(d.total_heating_energy))
            .y1(d=>scaleYacross(d.total_heating_energy))

</script>

<g transform='translate(50,-5)'>
        {#if type_selected == 'Across all building types'}
            <path d={lineAcross(data)} fill='black'></path>
        {:else}
            <path d={lineWithin(data)} fill='black'></path>
        {/if}
</g>

